Subject: V/I table checking

From: "Hobbs, Will" <[email-masked]>
Date: Thu, 17 Mar 94 09:19:16 PST

Bob and others,

          Monotonicity is not required by IBIS at all and for backward
          compatibility will never go beyond a recommendation.  For
          now, and until the recommendation becomes embodied in IBIS
          2.0, I do not believe we should even check for it.

          Regarding the discussion on the issue of incorrect signs,
          I am beginning to doubt if we will resolve this quickly,
          either. I do not want to react quickly and make a mistake.
          Even if only a warning is issued, it will confuse users if
          the warning is erroneous.  (That's why I never run
          the grammar checker on my word processor-- it's wrong more
          often than I am.)  We appear to be able to come up with
          counterproposals for every algorithm that is suggested,
          which tells me we need to look more closely before jumping
          in to a golden parser change.

          Wil

To: [email-masked]
Subject: V/I table checking

To IBIS Committee, Jon, Kellee:

(1)  Should the V/I table checks be EQUAL-or-INCREASING and EQUAL-or-
DECREASING?  Do ALL simulators which require Monotonic Current support EQUAL
current values within the voltage range?

(2)  My understanding is that the error is a "Warning" Error.  It serves two
purposes:
     (a) Warn the user of a general incorrect Current sign problem
     (b) Warn the user of non-monotonic data

(3)  If the data is non-monotonic, AND the simulator requires Monotonic data,
     (a) The data can be rejected
     (b) The user can edit the IBIS file to force monotonic data
     (c) The simulator itself could have an automatic monontonic filter (and
         issue a warning message if invoked) when reading the IBIS file into
         the internal data base.